QGIS Application - Feature request #14870

GeoProcessing: Add an option to generate from Processing tools single parts polygon instead of
multiparts

2016-05-23 06:00 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 22823
Description

This feature request comes from #12738 discussion.
Due to input layers, some geoprocessing tools can generate output with multi-parts features. Could be handy to have a checkbox to force
the layer to be single-parts (create signle-parts from the multi-parts features automatically)

History

#1 - 2016-05-24 12:49 PM - Alexander Bruy

Personally | think that this will increase complexity of the Processing. If you need singleparts you always can create model or script to convert outputs.

#2 - 2016-05-24 12:50 PM - Alexander Bruy

- Category set to Processing/Core

#3 - 2016-05-24 12:51 PM - Paolo Cavallini

- Status changed from Open to Feedback

Agreed with Alex. I'd suggest to close down this one.

#4 - 2016-05-26 12:49 AM - Harrissou Santanna
- Resolution set to wontfix

- Status changed from Feedback to Closed

Indeed, | also agree with your point. Better have modular tools and combine them as you want instead of hard coding combinations.
Closing
